com.hazelcast.concurrent.countdownlatch

## Class CountDownLatchDataSerializerHook

- java.lang.Object
- - com.hazelcast.concurrent.countdownlatch.CountDownLatchDataSerializerHook

- All Implemented Interfaces:
    com.hazelcast.internal.serialization.DataSerializerHook

      public final class CountDownLatchDataSerializerHook
      extends Object
      implements com.hazelcast.internal.serialization.DataSerializerHook

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AWAIT_OPERATION`
    `static int` | `CONTAINER`
    `static int` | `COUNT_DOWN_LATCH_BACKUP_OPERATION`
    `static int` | `COUNT_DOWN_LATCH_REPLICATION_OPERATION`
    `static int` | `COUNT_DOWN_OPERATION`
    `static int` | `F_ID`
    `static int` | `GET_COUNT_OPERATION`
    `static int` | `SET_COUNT_OPERATION`

    - ### Fields inherited from interface com.hazelcast.internal.serialization.DataSerializerHook

      `F_ID_OFFSET_HIBERNATE, F_ID_OFFSET_WEBMODULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountDownLatchDataSerializerHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSerializableFactory` | `createFactory()`
    `int` | `getFactoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### F_ID

          public static final int F_ID

    - #### CONTAINER

          public static final int CONTAINER

      See Also:
        Constant Field Values

    - #### AWAIT_OPERATION

          public static final int AWAIT_OPERATION

      See Also:
        Constant Field Values

    - #### COUNT_DOWN_LATCH_BACKUP_OPERATION

          public static final int COUNT_DOWN_LATCH_BACKUP_OPERATION

      See Also:
        Constant Field Values

    - #### COUNT_DOWN_LATCH_REPLICATION_OPERATION

          public static final int COUNT_DOWN_LATCH_REPLICATION_OPERATION

      See Also:
        Constant Field Values

    - #### COUNT_DOWN_OPERATION

          public static final int COUNT_DOWN_OPERATION

      See Also:
        Constant Field Values

    - #### GET_COUNT_OPERATION

          public static final int GET_COUNT_OPERATION

      See Also:
        Constant Field Values

    - #### SET_COUNT_OPERATION

          public static final int SET_COUNT_OPERATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CountDownLatchDataSerializerHook

          public CountDownLatchDataSerializerHook()

  - ### Method Detail

    - #### getFactoryId

          public int getFactoryId()

      Specified by:
        `getFactoryId` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

    - #### createFactory

          public DataSerializableFactory createFactory()

      Specified by:
        `createFactory` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

Copyright © 2019. All rights reserved.